> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Invoice Receipt By Id



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/invoices/receipt/{id}
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/invoices/receipt/{id}:
    get:
      tags:
        - invoices
      summary: Retrieve Invoice Receipt By Id
      operationId: retrieve_invoice_receipt_by_id__version__invoices_receipt__id__get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Object ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceReceiptResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    InvoiceReceiptResponse:
      properties:
        invoice_id:
          type: integer
          title: Invoice Id
        invoice_number:
          type: string
          title: Invoice Number
        reference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference Id
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
        total_amount:
          anyOf:
            - type: number
            - type: integer
          title: Total Amount
          description: Amount
        status:
          type: string
          title: Status
        note:
          type: string
          title: Note
        due_date:
          type: string
          format: date-time
          title: Due Date
        as_payment_link:
          type: boolean
          title: As Payment Link
        fee_bearer:
          type: string
          title: Fee Bearer
        paid_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
        owner_id:
          type: integer
          title: Owner Id
        owner_type:
          type: string
          title: Owner Type
        created_at:
          type: string
          format: date-time
          title: Created At
        counterparty_id:
          type: integer
          title: Counterparty Id
        relationship_type:
          type: string
          title: Relationship Type
        counterparty_name:
          type: string
          title: Counterparty Name
        counterparty_phone:
          type: string
          maxLength: 15
          minLength: 8
          title: Counterparty Phone
          description: E.164 digits only, without '+' (e.g. 231771234567)
        counterparty_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Counterparty Email
        payer_amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
            - type: 'null'
          title: Payer Amount
          description: A positive, non-zero amount.
        payer_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Payer Currency
        payee_amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
            - type: 'null'
          title: Payee Amount
          description: A positive, non-zero amount.
        payee_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Payee Currency
        platform_fee:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Platform Fee
          description: Amount
        platform_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Platform Currency
        gateway_fee:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Gateway Fee
          description: Amount
        gateway_currency:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Gateway Currency
        fx_fee:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Fx Fee
          description: Amount
        fx_rate:
          anyOf:
            - type: string
            - type: 'null'
          title: Fx Rate
        fx_currency_from:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Fx Currency From
        fx_currency_to:
          anyOf:
            - type: string
              maxLength: 3
              minLength: 3
            - type: 'null'
          title: Fx Currency To
        payment_provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Provider
        payment_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method
        account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Name
        gateway_confirmed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Gateway Confirmed At
        provider_transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Transaction Id
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/ReceiptItem'
              type: array
            - type: 'null'
          title: Items
      type: object
      required:
        - invoice_id
        - invoice_number
        - currency
        - total_amount
        - status
        - note
        - due_date
        - as_payment_link
        - fee_bearer
        - owner_id
        - owner_type
        - created_at
        - counterparty_id
        - relationship_type
        - counterparty_name
        - counterparty_phone
      title: InvoiceReceiptResponse
      description: InvoiceReceiptResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReceiptItem:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        qty:
          type: integer
          title: Qty
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
        currency:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency
          description: Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
      type: object
      required:
        - id
        - name
        - qty
        - amount
        - currency
      title: ReceiptItem
      description: Line item embedded in a receipt response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````